diff --git a/Novetus/NovetusCore/CharCustom/Forms/Extended/CharacterCustomizationExtended.cs b/Novetus/NovetusCore/CharCustom/Forms/Extended/CharacterCustomizationExtended.cs
index 31c3b7d..9c876aa 100644
--- a/Novetus/NovetusCore/CharCustom/Forms/Extended/CharacterCustomizationExtended.cs
+++ b/Novetus/NovetusCore/CharCustom/Forms/Extended/CharacterCustomizationExtended.cs
@@ -12,10 +12,6 @@ using System.Windows.Forms;
 #region CharacterCustomization - Extended
 public partial class CharacterCustomizationExtended : Form
 {
-    //Finish implementation of CharacterCustomizationShared on this class and Compact
-    //move item change functions to shared, maybe merge some into a single function.
-    //move tab change function to shared.
-
     #region Constructor
     public CharacterCustomizationExtended()
 	{
@@ -36,245 +32,7 @@ public partial class CharacterCustomizationExtended : Form
 
     void tabControl1_SelectedIndexChanged(object sender, EventArgs e)
     {
-        switch (tabControl1.SelectedTab)
-        {
-            case TabPage pg1 when pg1 == tabControl1.TabPages["tabPage1"]:
-                panel3.Location = new Point(110, 359);
-                listBox1.Items.Clear();
-                listBox2.Items.Clear();
-                listBox3.Items.Clear();
-                listBox4.Items.Clear();
-                listBox5.Items.Clear();
-                listBox6.Items.Clear();
-                listBox7.Items.Clear();
-                listBox8.Items.Clear();
-                listBox9.Items.Clear();
-                break;
-            case TabPage pg7 when pg7 == tabControl1.TabPages["tabPage7"]:
-                panel3.Location = new Point(110, 359);
-                listBox1.Items.Clear();
-                listBox2.Items.Clear();
-                listBox3.Items.Clear();
-                listBox4.Items.Clear();
-                listBox5.Items.Clear();
-                listBox6.Items.Clear();
-                listBox7.Items.Clear();
-                listBox8.Items.Clear();
-                listBox9.Items.Clear();
-
-                Image icon1 = CustomizationFuncs.LoadImage(GlobalPaths.extradirIcons + "\\" + GlobalVars.UserConfiguration.PlayerName + ".png", GlobalPaths.extradir + "\\NoExtra.png");
-                pictureBox10.Image = icon1;
-
-                break;
-            case TabPage pg2 when pg2 == tabControl1.TabPages["tabPage2"]:
-                //hats
-                panel3.Location = new Point(110, 239);
-                listBox4.Items.Clear();
-                listBox5.Items.Clear();
-                listBox6.Items.Clear();
-                listBox7.Items.Clear();
-                listBox8.Items.Clear();
-                listBox9.Items.Clear();
-
-                CustomizationFuncs.ChangeItem(
-                        GlobalVars.UserCustomization.Hat1,
-                        GlobalPaths.hatdir,
-                        "NoHat",
-                        pictureBox1,
-                        textBox2,
-                        listBox1,
-                        true
-                    );
-
-                CustomizationFuncs.ChangeItem(
-                        GlobalVars.UserCustomization.Hat2,
-                        GlobalPaths.hatdir,
-                        "NoHat",
-                        pictureBox2,
-                        textBox3,
-                        listBox2,
-                        true
-                    );
-
-                CustomizationFuncs.ChangeItem(
-                        GlobalVars.UserCustomization.Hat3,
-                        GlobalPaths.hatdir,
-                        "NoHat",
-                        pictureBox3,
-                        textBox4,
-                        listBox3,
-                        true
-                    );
-
-                break;
-            case TabPage pg3 when pg3 == tabControl1.TabPages["tabPage3"]:
-                //faces
-                panel3.Location = new Point(110, 359);
-                listBox1.Items.Clear();
-                listBox2.Items.Clear();
-                listBox3.Items.Clear();
-                listBox5.Items.Clear();
-                listBox6.Items.Clear();
-                listBox7.Items.Clear();
-                listBox8.Items.Clear();
-                listBox9.Items.Clear();
-
-                CustomizationFuncs.ChangeItem(
-                        GlobalVars.UserCustomization.Face,
-                        GlobalPaths.facedir,
-                        "DefaultFace",
-                        pictureBox4,
-                        textBox6,
-                        listBox4,
-                        true,
-                        FaceTypeBox.SelectedItem != null ? Settings.OnlineClothing.FindContentProviderByName(characterCustomizationForm.contentProviders, FaceTypeBox.SelectedItem.ToString()) : null
-                    );
-
-                break;
-            case TabPage pg4 when pg4 == tabControl1.TabPages["tabPage4"]:
-                //faces
-                panel3.Location = new Point(110, 359);
-                listBox1.Items.Clear();
-                listBox2.Items.Clear();
-                listBox3.Items.Clear();
-                listBox4.Items.Clear();
-                listBox6.Items.Clear();
-                listBox7.Items.Clear();
-                listBox8.Items.Clear();
-                listBox9.Items.Clear();
-
-                CustomizationFuncs.ChangeItem(
-                        GlobalVars.UserCustomization.TShirt,
-                        GlobalPaths.tshirtdir,
-                        "NoTShirt",
-                        pictureBox5,
-                        textBox7,
-                        listBox5,
-                        true,
-                        TShirtsTypeBox.SelectedItem != null ? Settings.OnlineClothing.FindContentProviderByName(characterCustomizationForm.contentProviders, TShirtsTypeBox.SelectedItem.ToString()) : null
-                    );
-
-                break;
-            case TabPage pg5 when pg5 == tabControl1.TabPages["tabPage5"]:
-                //faces
-                panel3.Location = new Point(110, 359);
-                listBox1.Items.Clear();
-                listBox2.Items.Clear();
-                listBox3.Items.Clear();
-                listBox4.Items.Clear();
-                listBox5.Items.Clear();
-                listBox7.Items.Clear();
-                listBox8.Items.Clear();
-                listBox9.Items.Clear();
-
-                CustomizationFuncs.ChangeItem(
-                        GlobalVars.UserCustomization.Shirt,
-                        GlobalPaths.shirtdir,
-                        "NoShirt",
-                        pictureBox6,
-                        textBox8,
-                        listBox6,
-                        true,
-                        ShirtsTypeBox.SelectedItem != null ? Settings.OnlineClothing.FindContentProviderByName(characterCustomizationForm.contentProviders, ShirtsTypeBox.SelectedItem.ToString()) : null
-                    );
-
-                break;
-            case TabPage pg6 when pg6 == tabControl1.TabPages["tabPage6"]:
-                //faces
-                panel3.Location = new Point(110, 359);
-                listBox1.Items.Clear();
-                listBox2.Items.Clear();
-                listBox3.Items.Clear();
-                listBox4.Items.Clear();
-                listBox5.Items.Clear();
-                listBox6.Items.Clear();
-                listBox8.Items.Clear();
-                listBox9.Items.Clear();
-
-                CustomizationFuncs.ChangeItem(
-                        GlobalVars.UserCustomization.Pants,
-                        GlobalPaths.pantsdir,
-                        "NoPants",
-                        pictureBox7,
-                        textBox9,
-                        listBox7,
-                        true,
-                        PantsTypeBox.SelectedItem != null ? Settings.OnlineClothing.FindContentProviderByName(characterCustomizationForm.contentProviders, PantsTypeBox.SelectedItem.ToString()) : null
-                    );
-
-                break;
-            case TabPage pg8 when pg8 == tabControl1.TabPages["tabPage8"]:
-                //faces
-                panel3.Location = new Point(110, 359);
-                listBox1.Items.Clear();
-                listBox2.Items.Clear();
-                listBox3.Items.Clear();
-                listBox4.Items.Clear();
-                listBox5.Items.Clear();
-                listBox6.Items.Clear();
-                listBox7.Items.Clear();
-                listBox9.Items.Clear();
-
-                CustomizationFuncs.ChangeItem(
-                        GlobalVars.UserCustomization.Head,
-                        GlobalPaths.headdir,
-                        "DefaultHead",
-                        pictureBox8,
-                        textBox5,
-                        listBox8,
-                        true
-                    );
-
-                break;
-            case TabPage pg9 when pg9 == tabControl1.TabPages["tabPage9"]:
-                //faces
-                panel3.Location = new Point(110, 359);
-                listBox1.Items.Clear();
-                listBox2.Items.Clear();
-                listBox3.Items.Clear();
-                listBox4.Items.Clear();
-                listBox5.Items.Clear();
-                listBox6.Items.Clear();
-                listBox7.Items.Clear();
-                listBox8.Items.Clear();
-
-                CustomizationFuncs.ChangeItem(
-                        GlobalVars.UserCustomization.Extra,
-                        GlobalPaths.extradir,
-                        "NoExtra",
-                        pictureBox9,
-                        textBox10,
-                        listBox9,
-                        true
-                    );
-
-                if (GlobalVars.UserCustomization.ShowHatsInExtra)
-                {
-                    CustomizationFuncs.ChangeItem(
-                        GlobalVars.UserCustomization.Extra,
-                        GlobalPaths.hatdir,
-                        "NoHat",
-                        pictureBox9,
-                        textBox10,
-                        listBox9,
-                        true,
-                        GlobalVars.UserCustomization.ShowHatsInExtra
-                    );
-                }
-                break;
-            default:
-                panel3.Location = new Point(110, 359);
-                listBox1.Items.Clear();
-                listBox2.Items.Clear();
-                listBox3.Items.Clear();
-                listBox4.Items.Clear();
-                listBox5.Items.Clear();
-                listBox6.Items.Clear();
-                listBox7.Items.Clear();
-                listBox8.Items.Clear();
-                listBox9.Items.Clear();
-                break;
-        }
+        characterCustomizationForm.ChangeTabs();
     }
 
     void CharacterCustomizationClose(object sender, CancelEventArgs e)
diff --git a/Novetus/NovetusLauncher/Forms/CharCustom/CharacterCustomizationShared.cs b/Novetus/NovetusLauncher/Forms/CharCustom/CharacterCustomizationShared.cs
index 78b31e4..8deb2ed 100644
--- a/Novetus/NovetusLauncher/Forms/CharCustom/CharacterCustomizationShared.cs
+++ b/Novetus/NovetusLauncher/Forms/CharCustom/CharacterCustomizationShared.cs
@@ -1,11 +1,12 @@
-ï»¿using System;
+ï»¿#region Usings
+using System;
 using System.Collections.Generic;
 using System.Drawing;
 using System.IO;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
+#endregion
 
+#region CharacterCustomization - Shared
 class CharacterCustomizationShared
 {
     #region Variables
@@ -25,12 +26,16 @@ class CharacterCustomizationShared
         LightReddishVioletButton, MediumRedButton, BrickYellowButton, SandRedButton, BrownButton, NougatButton, LightOrangeButton, MediumReddishViolet,
         DarkNougatButton, HeadButton, TorsoButton, LeftArmButton, RightArmButton, LeftLegButton, RightLegButton;
     public ComboBox FaceTypeBox, TShirtsTypeBox, ShirtsTypeBox, PantsTypeBox;
-    public TextBox FaceIDBox, TShirtsIDBox, ShirtsIDBox, PantsIDBox, CharacterIDBox;
+    public TextBox FaceIDBox, TShirtsIDBox, ShirtsIDBox, PantsIDBox, CharacterIDBox, Hat1Desc, Hat2Desc, Hat3Desc, HeadDesc, TShirtDesc, ShirtDesc, PantsDesc, FaceDesc, ExtraItemDesc;
     public CheckBox ShowHatsInExtraBox;
     public Label SelectedPartLabel, IconLabel;
-
+    public TabControl CharacterTabControl;
+    public Panel OrganizationPanel;
+    public ListBox Hat1List, Hat2List, Hat3List, HeadList, TShirtList, ShirtList, PantsList, FaceList, ExtraItemList;
+    public PictureBox Hat1Image, Hat2Image, Hat3Image, HeadImage, TShirtImage, ShirtImage, PantsImage, FaceImage, ExtraItemImage, IconImage;
     #endregion
 
+    #region Constructor
     public CharacterCustomizationShared()
     {
 
@@ -111,7 +116,9 @@ class CharacterCustomizationShared
             new VarStorage.PartColors{ ColorID = 128, ButtonColor = DarkNougatButton.BackColor }
         };
     }
+    #endregion
 
+    #region Form Event Functions
     public void InitForm()
     {
         if (File.Exists(GlobalPaths.ConfigDir + "\\ContentProviders.xml"))
@@ -191,6 +198,282 @@ class CharacterCustomizationShared
         GlobalFuncs.ReloadLoadoutValue();
     }
 
+    public void ChangeTabs()
+    {
+        switch (CharacterTabControl.SelectedTab)
+        {
+            case TabPage pg1 when pg1 == CharacterTabControl.TabPages["tabPage1"]:
+                if (FormStyle == Settings.UIOptions.Style.Extended)
+                {
+                    OrganizationPanel.Location = new Point(110, 359);
+                }
+                Hat1List.Items.Clear();
+                Hat2List.Items.Clear();
+                Hat3List.Items.Clear();
+                HeadList.Items.Clear();
+                TShirtList.Items.Clear();
+                ShirtList.Items.Clear();
+                PantsList.Items.Clear();
+                FaceList.Items.Clear();
+                ExtraItemList.Items.Clear();
+                break;
+            case TabPage pg7 when pg7 == CharacterTabControl.TabPages["tabPage7"]:
+                if (FormStyle == Settings.UIOptions.Style.Extended)
+                {
+                    OrganizationPanel.Location = new Point(110, 359);
+                }
+                Hat1List.Items.Clear();
+                Hat2List.Items.Clear();
+                Hat3List.Items.Clear();
+                HeadList.Items.Clear();
+                TShirtList.Items.Clear();
+                ShirtList.Items.Clear();
+                PantsList.Items.Clear();
+                FaceList.Items.Clear();
+                ExtraItemList.Items.Clear();
+
+                Image icon1 = CustomizationFuncs.LoadImage(GlobalPaths.extradirIcons + "\\" + GlobalVars.UserConfiguration.PlayerName + ".png", GlobalPaths.extradir + "\\NoExtra.png");
+                IconImage.Image = icon1;
+
+                break;
+            case TabPage pg2 when pg2 == CharacterTabControl.TabPages["tabPage2"]:
+                //hats
+                if (FormStyle == Settings.UIOptions.Style.Extended)
+                {
+                    OrganizationPanel.Location = new Point(110, 239);
+                }
+                HeadList.Items.Clear();
+                TShirtList.Items.Clear();
+                ShirtList.Items.Clear();
+                PantsList.Items.Clear();
+                FaceList.Items.Clear();
+                ExtraItemList.Items.Clear();
+
+                CustomizationFuncs.ChangeItem(
+                        GlobalVars.UserCustomization.Hat1,
+                        GlobalPaths.hatdir,
+                        "NoHat",
+                        Hat1Image,
+                        Hat1Desc,
+                        Hat1List,
+                        true
+                    );
+
+                CustomizationFuncs.ChangeItem(
+                        GlobalVars.UserCustomization.Hat2,
+                        GlobalPaths.hatdir,
+                        "NoHat",
+                        Hat2Image,
+                        Hat2Desc,
+                        Hat2List,
+                        true
+                    );
+
+                CustomizationFuncs.ChangeItem(
+                        GlobalVars.UserCustomization.Hat3,
+                        GlobalPaths.hatdir,
+                        "NoHat",
+                        Hat3Image,
+                        Hat3Desc,
+                        Hat3List,
+                        true
+                    );
+
+                break;
+            case TabPage pg3 when pg3 == CharacterTabControl.TabPages["tabPage3"]:
+                //faces
+                if (FormStyle == Settings.UIOptions.Style.Extended)
+                {
+                    OrganizationPanel.Location = new Point(110, 359);
+                }
+
+                Hat1List.Items.Clear();
+                Hat2List.Items.Clear();
+                Hat3List.Items.Clear();
+                HeadList.Items.Clear();
+                TShirtList.Items.Clear();
+                ShirtList.Items.Clear();
+                PantsList.Items.Clear();
+                ExtraItemList.Items.Clear();
+
+                CustomizationFuncs.ChangeItem(
+                        GlobalVars.UserCustomization.Face,
+                        GlobalPaths.facedir,
+                        "DefaultFace",
+                        FaceImage,
+                        FaceDesc,
+                        FaceList,
+                        true,
+                        FaceTypeBox.SelectedItem != null ? Settings.OnlineClothing.FindContentProviderByName(contentProviders, FaceTypeBox.SelectedItem.ToString()) : null
+                    );
+
+                break;
+            case TabPage pg4 when pg4 == CharacterTabControl.TabPages["tabPage4"]:
+                //faces
+                if (FormStyle == Settings.UIOptions.Style.Extended)
+                {
+                    OrganizationPanel.Location = new Point(110, 359);
+                }
+                Hat1List.Items.Clear();
+                Hat2List.Items.Clear();
+                Hat3List.Items.Clear();
+                HeadList.Items.Clear();
+                ShirtList.Items.Clear();
+                PantsList.Items.Clear();
+                FaceList.Items.Clear();
+                ExtraItemList.Items.Clear();
+
+                CustomizationFuncs.ChangeItem(
+                        GlobalVars.UserCustomization.TShirt,
+                        GlobalPaths.tshirtdir,
+                        "NoTShirt",
+                        TShirtImage,
+                        TShirtDesc,
+                        TShirtList,
+                        true,
+                        TShirtsTypeBox.SelectedItem != null ? Settings.OnlineClothing.FindContentProviderByName(contentProviders, TShirtsTypeBox.SelectedItem.ToString()) : null
+                    );
+
+                break;
+            case TabPage pg5 when pg5 == CharacterTabControl.TabPages["tabPage5"]:
+                //faces
+                if (FormStyle == Settings.UIOptions.Style.Extended)
+                {
+                    OrganizationPanel.Location = new Point(110, 359);
+                }
+                Hat1List.Items.Clear();
+                Hat2List.Items.Clear();
+                Hat3List.Items.Clear();
+                HeadList.Items.Clear();
+                TShirtList.Items.Clear();
+                PantsList.Items.Clear();
+                FaceList.Items.Clear();
+                ExtraItemList.Items.Clear();
+
+                CustomizationFuncs.ChangeItem(
+                        GlobalVars.UserCustomization.Shirt,
+                        GlobalPaths.shirtdir,
+                        "NoShirt",
+                        ShirtImage,
+                        ShirtDesc,
+                        ShirtList,
+                        true,
+                        ShirtsTypeBox.SelectedItem != null ? Settings.OnlineClothing.FindContentProviderByName(contentProviders, ShirtsTypeBox.SelectedItem.ToString()) : null
+                    );
+
+                break;
+            case TabPage pg6 when pg6 == CharacterTabControl.TabPages["tabPage6"]:
+                //faces
+                if (FormStyle == Settings.UIOptions.Style.Extended)
+                {
+                    OrganizationPanel.Location = new Point(110, 359);
+                }
+                Hat1List.Items.Clear();
+                Hat2List.Items.Clear();
+                Hat3List.Items.Clear();
+                HeadList.Items.Clear();
+                TShirtList.Items.Clear();
+                ShirtList.Items.Clear();
+                FaceList.Items.Clear();
+                ExtraItemList.Items.Clear();
+
+                CustomizationFuncs.ChangeItem(
+                        GlobalVars.UserCustomization.Pants,
+                        GlobalPaths.pantsdir,
+                        "NoPants",
+                        PantsImage,
+                        PantsDesc,
+                        PantsList,
+                        true,
+                        PantsTypeBox.SelectedItem != null ? Settings.OnlineClothing.FindContentProviderByName(contentProviders, PantsTypeBox.SelectedItem.ToString()) : null
+                    );
+
+                break;
+            case TabPage pg8 when pg8 == CharacterTabControl.TabPages["tabPage8"]:
+                //faces
+                if (FormStyle == Settings.UIOptions.Style.Extended)
+                {
+                    OrganizationPanel.Location = new Point(110, 359);
+                }
+                Hat1List.Items.Clear();
+                Hat2List.Items.Clear();
+                Hat3List.Items.Clear();
+                TShirtList.Items.Clear();
+                ShirtList.Items.Clear();
+                PantsList.Items.Clear();
+                FaceList.Items.Clear();
+                ExtraItemList.Items.Clear();
+
+                CustomizationFuncs.ChangeItem(
+                        GlobalVars.UserCustomization.Head,
+                        GlobalPaths.headdir,
+                        "DefaultHead",
+                        HeadImage,
+                        HeadDesc,
+                        HeadList,
+                        true
+                    );
+
+                break;
+            case TabPage pg9 when pg9 == CharacterTabControl.TabPages["tabPage9"]:
+                //faces
+                if (FormStyle == Settings.UIOptions.Style.Extended)
+                {
+                    OrganizationPanel.Location = new Point(110, 359);
+                }
+                Hat1List.Items.Clear();
+                Hat2List.Items.Clear();
+                Hat3List.Items.Clear();
+                HeadList.Items.Clear();
+                TShirtList.Items.Clear();
+                ShirtList.Items.Clear();
+                PantsList.Items.Clear();
+                FaceList.Items.Clear();
+
+                CustomizationFuncs.ChangeItem(
+                        GlobalVars.UserCustomization.Extra,
+                        GlobalPaths.extradir,
+                        "NoExtra",
+                        ExtraItemImage,
+                        ExtraItemDesc,
+                        ExtraItemList,
+                        true
+                    );
+
+                if (GlobalVars.UserCustomization.ShowHatsInExtra)
+                {
+                    CustomizationFuncs.ChangeItem(
+                        GlobalVars.UserCustomization.Extra,
+                        GlobalPaths.hatdir,
+                        "NoHat",
+                        ExtraItemImage,
+                        ExtraItemDesc,
+                        ExtraItemList,
+                        true,
+                        GlobalVars.UserCustomization.ShowHatsInExtra
+                    );
+                }
+                break;
+            default:
+                if (FormStyle == Settings.UIOptions.Style.Extended)
+                {
+                    OrganizationPanel.Location = new Point(110, 359);
+                }
+                Hat1List.Items.Clear();
+                Hat2List.Items.Clear();
+                Hat3List.Items.Clear();
+                HeadList.Items.Clear();
+                TShirtList.Items.Clear();
+                ShirtList.Items.Clear();
+                PantsList.Items.Clear();
+                FaceList.Items.Clear();
+                ExtraItemList.Items.Clear();
+                break;
+        }
+    }
+    #endregion
+
+    #region Color Funcs
     Color ConvertStringtoColor(string CString)
     {
         var p = CString.Split(new char[] { ',', ']' });
@@ -318,4 +601,6 @@ class CharacterCustomizationShared
             }
         }
     }
-}
\ No newline at end of file
+    #endregion
+}
+#endregion
\ No newline at end of file
